import 'package:feed_plugin/models/hashtag.dart';
import 'package:feed_plugin/models/post_model.dart';

class HashtagPostsModel {
  static final HashtagPostsModel hashtagPostsModel = new HashtagPostsModel();
  HashtagPostsModel({
    this.id,
    this.tag,
    this.post,
  });
  final int id;
  final HashtagModel tag;
  final PostModel post;

  factory HashtagPostsModel.fromJson(Map<String, dynamic> json) {
    PostModel post = PostModel.fromJson(json["post"]);
    HashtagModel tag = HashtagModel.fromJson(json["tag"]);

    return new HashtagPostsModel(
      id: json['id'],
      tag: tag,
      post: post,
    );
  }
}
