import 'package:feed_plugin/models/poll_question_model.dart';

class PollOptionModel {
  static final PollOptionModel pollOptionModel = new PollOptionModel();
  int id;
  PollQuestionModel pollQuestion;
  String option;

  PollOptionModel({
    this.id,
    this.pollQuestion,
    this.option,
  });

  factory PollOptionModel.fromJson(Map<String, dynamic> json) {
    PollQuestionModel pollQuestion =
        PollQuestionModel.fromJson(json["pollQuestion"]);
    return new PollOptionModel(
      id: json['id'],
      pollQuestion: pollQuestion,
      option: json['option'],
    );
  }
}
