import 'package:feed_plugin/models/poll_option_model.dart';
import 'package:feed_plugin/models/user_model.dart';

class PollVoteModel {
  static final PollVoteModel pollVoteModel = new PollVoteModel();
  int id;
  PollOptionModel pollOption;
  UserModel user;

  PollVoteModel({
    this.id,
    this.pollOption,
    this.user,
  });

  factory PollVoteModel.fromJson(Map<String, dynamic> json) {
    PollOptionModel pollOption = PollOptionModel.fromJson(json["pollOption"]);
    UserModel user = UserModel.fromJson(json["user"]);
    return new PollVoteModel(
      id: json['id'],
      pollOption: pollOption,
      user: user,
    );
  }
}
