import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class LoadingButtonIndicator extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Center(
        child: SpinKitThreeBounce(
          color: Colors.white,
          size: 16.0,
        ),
      );
}

class LoadingIndicatorDark extends StatelessWidget {
  final double size;

  const LoadingIndicatorDark({Key key, this.size = 50}) : super(key: key);

  @override
  Widget build(BuildContext context) => Center(
        child: SpinKitWave(
          color: 
Color(0xFF98A9BC),
          size: size,
        ),
      );
}
