import 'package:flutter/cupertino.dart';

enum MediaType {
  image,
  video,
  text,
}

class StoryViewModel {
  final String url;
  final String text;
  final MediaType media;
  final Duration duration;

  const StoryViewModel({
    @required this.url,
    @required this.text,
    @required this.media,
    @required this.duration,
  });
}
