import 'dart:convert';

Map<String, dynamic> parseJWT(String token) {
  if (token != null) {
    final parts = token.split('.');
    final payload = parts[1];
    var normalized = base64Url.normalize(payload);
    return json.decode(utf8.decode(base64Url.decode(normalized)));
  } else {
    return null;
  }
}
