import 'package:feed_plugin/models/story/storyModel.dart';
import 'package:feed_plugin/models/user_model.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/screen_util.dart';

//הכפתור העגול עם הפלוס- להעלאת סטורי
class StoryButtonPage extends StatefulWidget {
  const StoryButtonPage({
    Key key,
    @required this.currentUser,
    @required this.loc,
    this.currentUserStory,
  });

  final UserModel currentUser;
  final loc;
  final StoryModel currentUserStory;

  @override
  _StoryButtonPageState createState() => _StoryButtonPageState();
}

class _StoryButtonPageState extends State<StoryButtonPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
        padding: const EdgeInsets.all(4.0),
        margin: const EdgeInsets.all(4.0),
        height: ScreenUtil().setHeight(5),
        decoration: new BoxDecoration(
          shape: BoxShape.circle,
          border: new Border.all(
            color: Colors.grey,
            width: 0.6,
          ),
        ),
        child: ClipOval(
          child: Material(
            color: Color(0xffE8ECEF),
            child: SizedBox(
              child: Center(
                child: Icon(
                  Icons.add_outlined,
                  color: Color(0xFF083356),
                  size: ScreenUtil().setHeight(30.0),
                ),
              ),
            ),
          ),
        ));
  }
}
